"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const common_helper_1 = require("./common.helper");
(0, globals_1.describe)('CompareRBTRow', () => {
    (0, globals_1.test)('Equal', () => {
        const rowA = {
            position: 0,
            filters: [],
            data: { firstName: 'Joe', surname: 'Bloggs', age: 24 },
        };
        const rowB = {
            position: 0,
            filters: [],
            data: { firstName: 'Jane', surname: 'Doe', age: 36 },
        };
        (0, globals_1.expect)((0, common_helper_1.CompareRBTRow)(rowA, rowB)).toBe(0);
    });
    (0, globals_1.test)('A is Lower', () => {
        const rowA = {
            position: 0,
            filters: [],
            data: { firstName: 'Joe', surname: 'Bloggs', age: 24 },
        };
        const rowB = {
            position: 1,
            filters: [],
            data: { firstName: 'Jane', surname: 'Doe', age: 36 },
        };
        (0, globals_1.expect)((0, common_helper_1.CompareRBTRow)(rowA, rowB)).toBe(-1);
    });
    (0, globals_1.test)('A is Greater', () => {
        const rowA = {
            position: 1,
            filters: [],
            data: { firstName: 'Joe', surname: 'Bloggs', age: 24 },
        };
        const rowB = {
            position: 0,
            filters: [],
            data: { firstName: 'Jane', surname: 'Doe', age: 36 },
        };
        (0, globals_1.expect)((0, common_helper_1.CompareRBTRow)(rowA, rowB)).toBe(1);
    });
});
(0, globals_1.describe)('RemoveFilterFromArray', () => {
    (0, globals_1.test)('Happy Path', () => {
        const supplied = ['abc', 'def', 'ghi'];
        const filter = 'abc';
        const expected = ['def', 'ghi'];
        (0, globals_1.expect)((0, common_helper_1.RemoveFilterFromArray)(filter, supplied)).toStrictEqual(expected);
    });
    (0, globals_1.test)('Empty Array', () => {
        const filter = 'abc';
        (0, globals_1.expect)((0, common_helper_1.RemoveFilterFromArray)('', [])).toStrictEqual([]);
    });
    (0, globals_1.test)('Empty Filter Value', () => {
        const supplied = ['abc', 'def', 'ghi'];
        const filter = '';
        const expected = ['abc', 'def', 'ghi'];
        (0, globals_1.expect)((0, common_helper_1.RemoveFilterFromArray)(filter, supplied)).toStrictEqual(expected);
    });
});
//# sourceMappingURL=common.test.js.map