"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinkVarient = exports.DarkVarient = exports.LightVarient = exports.InfoVarient = exports.DangerVarient = exports.WarningVarient = exports.SuccessVarient = exports.SecondaryVarient = exports.PrimaryVarient = exports.NoSearchableCallback = exports.NoSearchableColumns = exports.Primary = void 0;
const search_components_1 = require("./search.components");
const common_testdata_1 = require("../common/common.testdata");
const meta = {
    title: 'react-bootstrap-table/Search Bar',
    component: (search_components_1.RBTSearch),
    tags: ['autodocs'],
    args: {
        ...common_testdata_1.searchableArgsRBTData,
        handleDisplayedRows: (e) => {
            console.log('handleDisplayedRows: ' + JSON.stringify(e));
        },
    },
};
exports.default = meta;
exports.Primary = {};
exports.NoSearchableColumns = {
    args: {
        columns: [
            { accessorKey: 'firstName', header: 'First Name', searchable: false },
            { accessorKey: 'surname', header: 'Surname', searchable: false },
        ],
    },
};
exports.NoSearchableCallback = {
    args: {
        handleDisplayedRows: undefined,
    },
};
exports.PrimaryVarient = {
    args: {
        varient: 'primary',
    },
};
exports.SecondaryVarient = {
    args: {
        varient: 'secondary',
    },
};
exports.SuccessVarient = {
    args: {
        varient: 'success',
    },
};
exports.WarningVarient = {
    args: {
        varient: 'warning',
    },
};
exports.DangerVarient = {
    args: {
        varient: 'danger',
    },
};
exports.InfoVarient = {
    args: {
        varient: 'info',
    },
};
exports.LightVarient = {
    args: {
        varient: 'light',
    },
};
exports.DarkVarient = {
    args: {
        varient: 'dark',
    },
};
exports.LinkVarient = {
    args: {
        varient: 'link',
    },
};
//# sourceMappingURL=search.stories.js.map