"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinkVarient = exports.DarkVarient = exports.LightVarient = exports.InfoVarient = exports.DangerVarient = exports.WarningVarient = exports.SuccessVarient = exports.SecondaryVarient = exports.PrimaryVarient = exports.HeaderFunctionSetOnColumnDefs = exports.DisabledTableHeader = exports.Primary = void 0;
const table_components_1 = require("./table.components");
const common_testdata_1 = require("../common/common.testdata");
const meta = {
    title: 'react-bootstrap-table/Table',
    component: (table_components_1.RBTable),
    tags: ['autodocs'],
    args: {
        ...common_testdata_1.searchableArgs,
        header: {
            enableTableHead: true,
            enableDensityToggle: true,
        },
    },
};
exports.default = meta;
exports.Primary = {
    args: {},
};
exports.DisabledTableHeader = {
    args: {
        header: {
            enableTableHead: false,
        },
    },
};
exports.HeaderFunctionSetOnColumnDefs = {
    args: {
        columns: [
            { accessorKey: 'firstName', header: 'First Name', searchable: true, Header: () => 'Header Function Name' },
            { accessorKey: 'surname', header: 'Surname', searchable: true, Header: () => 'Header Function Surname' },
            { accessorKey: 'age', header: 'Age', Header: () => 'Header Function Age' },
        ],
    },
};
exports.PrimaryVarient = {
    args: {
        varient: 'primary',
    },
};
exports.SecondaryVarient = {
    args: {
        varient: 'secondary',
    },
};
exports.SuccessVarient = {
    args: {
        varient: 'success',
    },
};
exports.WarningVarient = {
    args: {
        varient: 'warning',
    },
};
exports.DangerVarient = {
    args: {
        varient: 'danger',
    },
};
exports.InfoVarient = {
    args: {
        varient: 'info',
    },
};
exports.LightVarient = {
    args: {
        varient: 'light',
    },
};
exports.DarkVarient = {
    args: {
        varient: 'dark',
    },
};
exports.LinkVarient = {
    args: {
        varient: 'link',
    },
};
//# sourceMappingURL=table.stories.js.map