"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RBTablePlaceholder = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const react_bootstrap_1 = require("react-bootstrap");
const GetCellId = (columnPrefix, column) => {
    let id = columnPrefix;
    if (column.id && column.id.length > 0) {
        id = column.id;
    }
    else if (column.header && column.header.length > 0) {
        id = columnPrefix + column.header.replace(' ', '');
    }
    return id;
};
const RBTablePlaceholder = (props) => {
    const [paginationRows] = (0, react_1.useState)(props.rowsPerPage ?? 5);
    return (react_1.default.createElement("tbody", null, [...Array(paginationRows)].map((value, index) => (react_1.default.createElement("tr", { key: 'row' + value + index }, props.columns?.map((column) => (react_1.default.createElement("td", { key: GetCellId('row.' + value + index + '.cell.', column) },
        react_1.default.createElement(react_bootstrap_1.Placeholder, { as: 'p', xs: 10 })))))))));
};
exports.RBTablePlaceholder = RBTablePlaceholder;
//# sourceMappingURL=tablePlaceholder.components.js.map